# Let an agent answer a number

`PUT /numbers/{id}/agents/{agentId}` · Rivier · voice

Let an agent answer a number.

- Scope: voice:write
- Graphql: Mutation.voiceNumberAddAgent
- Sdk: voice.number.addAgent
- Cli: voice number add agent

## Parameters

- `id` (path, required), string
- `agentId` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/numbers/{id}/agents/{agentId}' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
